<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.school.health.mapper.EduGradeReleateProjectMapper">

    <select id="selectByGradeId"
            resultType="com.yida.data.common.core.entity.health.EduNationalStandardProjectWeight">
    SELECT
      *
    FROM
      edu_health_national_standard_project_weight
    WHERE
      del_flag = 0
      AND id IN (
      SELECT
        project_id
      FROM
        edu_health_grade_releate_project
      WHERE
        del_flag = '0'
        AND record_grade_id = #{gradeId}
    )
    </select>
</mapper>
